<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ul
		*ngIf="candidateSelection.length"
		class="candidates list-unstyled"
>
	<li
			*ngFor="let candidate of candidateSelection; index as i; trackBy: trackByIndex"
			[ngClass]="{
        'border': !contestUserData,
        'border-dashed': contestUserData && !candidate,
        'text-bg-light': contestUserData && candidate
      }"
			class="candidates--container card card-body mb-2"
	>
		<div class="candidate row gap-3 gap-md-0">
			<div class="col-md-9">
				<ng-container
						*ngIf="candidate?.isWriteIn && getWriteInControl(i) as writeInControl; else candidateDetails"
				>
					<vp-candidate-write-in
							[position]="i + 1"
							[showErrors]="showErrors"
							[writeInControl]="writeInControl"
							[candidate]="candidate"
							[electionContest]="electionContest"
					></vp-candidate-write-in>
				</ng-container>

				<ng-template #candidateDetails>
					<vp-candidate-details
							[candidatePlaceholder]="getCandidatePlaceholder(i)"
							[candidateWriteIn]="getWriteInValue(i)"
							[candidate]="candidate"
							[headingDisplayLevel]="5"
							[screenReaderLabel]="getScreenReaderLabel(i)"
							[showAllDetails]="showCandidateDetails"
					></vp-candidate-details>
				</ng-template>
			</div>

			<div class="col">
				<ng-container
						[ngTemplateOutletContext]="{ candidate: candidate, candidateIndex: i }"
						[ngTemplateOutlet]="$any(rightColumnTemplate)"
				></ng-container>
			</div>
		</div>
	</li>
</ul>
